## oldmitpthreads 0.0

=== debian/changelog ===
oldmitpthreads (0.0) unstable; urgency=low

  * Initial Release.  Chewed up libc5 so that it produced only the
    MIT (Provenzano) pthreads library as a standalone package, then mushed
    it into the new packaging standards.

 -- Mark W. Eichin <eichin@kitten.gen.ma.us>  Sun, 16 Mar 1997 15:33:41 -0500

Local variables:
mode: debian-changelog
End:

=== debian/rules ===
#! /usr/bin/make -f
#
# Last updated: Sat Dec 17 10:52:20 EST 1994 by imurdock.
#
# To make the binary distribution package, the ``Debianized'' source package
# and the context diff to the original package, type `./debian.rules dist'.
# Make sure that `debian.rules' is executable before the final distribution
# is made.
#
# Invoke each target with `./debian.rules <target>'.  All targets should be
# invoked with the package root as the current directory.
#
# The `binary' target must be run as root, as it needs to install files with
# specific ownerships.  The `diff' target assumes that you have the original
# source package available, unpacked, in ../$(p)-$(v).orig, or that you have
# the previous revision of the ``Debianized'' source package and context diff
# in the parent directory.

# The name of the package (for example, `emacs').
p = oldmitpthreads
# The version of the package (for example, `19.28').
v = 0.0
mv = 5.0.7
pv = 1.60.4
# The Debian revision of the package (for example, `2').
d = 1
a = $(shell dpkg --print-architecture)

GNU_MALLOC = malloc-930716

build:
# Builds the binary package.
	make
	touch build

clean:
# Undoes the effect of `make -f debian.rules build'.
	-make clean
	rm -rf pth-tmp
	rm -f `find . -name '*~' -print` build

binary-arch: checkroot build
# Makes a binary package.
	$(checkdir)
	#
	rm -rf  pth-tmp
	install -d pth-tmp
	chmod g-s pth-tmp
	#
	install -d pth-tmp/usr/lib
	cp elfshared/libpthreads.so.$(pv) pth-tmp/usr/lib
	strip pth-tmp/usr/lib/libpthreads.so.$(pv)
	ln -s libpthreads.so.$(pv) pth-tmp/usr/lib/libpthreads.so.1
	ln -sf libpthreads.so.$(pv) pth-tmp/usr/lib/libpthreads.so
	install -d pth-tmp/usr/include
	cp -a include/pthread* pth-tmp/usr/include/
	#
	install -d pth-tmp/usr/doc/$(p)
	install debian/README pth-tmp/usr/doc/$(p)/copyright
	gzip -9f pth-tmp/usr/doc/$(p)/*
	#
	install -d pth-tmp/DEBIAN
	dpkg-gencontrol -poldmitpthreads -Ppth-tmp
	#
	chmod -R g-w pth-tmp
	chown -R root.root pth-tmp
	dpkg --build pth-tmp
	dpkg-name -o -s ..  pth-tmp.deb

binary: binary-arch

checkroot:
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## oldmitpthreads 0.1

=== Makefile ===
#
# Makefile for the Linux C library
#

TOPDIR=.

include $(TOPDIR)/Makeconfig

ifeq ($(NYS),true)
NYS_DIR_SUFFIX=-nys
endif

#
ifeq ($(OLD_GCC),true)
LIBGCC=gcc
endif

DEPEND_DIRS= assert bsd cvt ctype des dirent \
	grp inet io libio locale login malloc math misc \
	mntent netgroup posix pwd regex rpc setjmp signal stdlib \
	string sysdeps time ufc libbsd xstring wctype \
	$(LIBGCC) $(MALLOC) $(YPDIR) $(NLSDIR)

CLEAN_DIRS= assert bsd cvt ctype des dirent \
	grp inet io libio locale login malloc math misc \
	mntent netgroup posix pwd regex rpc setjmp signal stdlib \
	string sysdeps time ufc libbsd xstring wctype \
	$(LIBGCC) $(MALLOC) $(YPDIR) $(NLSDIR) sbin

ifeq ($(CHECKER),true)
DIRS= assert bsd cvt ctype des dirent grp inet io \
	libio locale login math misc mntent netgroup posix pwd regex \
	rpc setjmp signal stdlib string sysdeps termcap time ufc \
	xstring wctype \
	libbsd $(LIBGCC) $(MALLOC) $(YPDIR) $(NLSDIR)
else
ifeq ($(ELF),true)
DIRS= assert bsd cvt ctype des dirent grp inet io libbsd libio \
	locale login xstring wctype \
	math misc mntent netgroup posix pwd regex rpc setjmp signal \
	stdlib string sysdeps time ufc malloc $(LIBGCC) $(MALLOC) \
	$(YPDIR) $(NLSDIR) elf
else
ifeq ($(MATH),true)
DIRS= math sysdeps
else
DIRS= assert bsd cvt ctype des dirent grp inet io \
	libio locale login malloc math misc mntent netgroup posix \
	pwd regex rpc setjmp signal stdlib string sysdeps \
	xstring wctype \
	time ufc libbsd $(LIBGCC) $(MALLOC)  $(YPDIR) $(NLSDIR)
endif
endif
endif
DIRS=sysdeps elf

all: lib

lib:
	set -e; for i in $(DIRS); do \
		echo making $@ in $$i; \
		$(MAKE) -C $$i $@; \
	done

depend:
	set -e; for i in $(DEPEND_DIRS); do \
		echo making $@ in $$i; \
		$(MAKE) -C $$i $@; \
	done

clean realclean:
	$(RM) -f core *.o *.s *.sa *.so.* *.a verify.out
	$(RM) -rf $(OBJS_DIRS)
	for i in $(CLEAN_DIRS); do \
	   echo making $@ in $$i; \
	   $(MAKE) -C $$i $@; \
	done

install: install.elf

install.elf:
	$(MAKE) -C elf install ELF=true
	$(MAKE) install.elf.real ELF=true

install.elf.real:
	if [ ! -d  $(TARGET_ELF_LIB_DIR) ]; then \
		$(RM) -f $(TARGET_ELF_LIB_DIR); \
		$(MKDIR) $(TARGET_ELF_LIB_DIR); \
	else true; fi
	if [ ! -d  $(TARGET_ELF_LIBEXTRA_DIR) ]; then \
		$(RM) -f $(TARGET_ELF_LIBEXTRA_DIR); \
		$(MKDIR) $(TARGET_ELF_LIBEXTRA_DIR); \
	else true; fi
	for l in $(ELF_STATIC_DIR)/lib*.a; do \
	   if [ x$(NYS_DIR_SUFFIX)x = "xx" ]; then \
	     name=`basename $$l`; \
	   else \
	     name=`basename $$l | sed s/$(NYS_DIR_SUFFIX)//` ; \
	   fi; \
	   cp $$l $(TARGET_ELF_LIB_DIR)/$$name ; \
	   $(REALRANLIB) $(TARGET_ELF_LIB_DIR)/$$name ; \
	done
	for l in $(ELF_DEBUG_DIR)/lib*.a $(ELF_PROFILE_DIR)/lib*.a; do \
	   if [ x$(NYS_DIR_SUFFIX)x = "xx" ]; then \
	     name=`basename $$l`; \
	   else \
	     name=`basename $$l | sed s/$(NYS_DIR_SUFFIX)//` ; \
	   fi; \
	   cp $$l $(TARGET_ELF_LIBEXTRA_DIR)/$$name ; \
	   $(REALRANLIB) $(TARGET_ELF_LIBEXTRA_DIR)/$$name ; \
	done
	cp $(ELF_PROFILE_DIR)/*.o $(TARGET_ELF_LIBEXTRA_DIR)
	cp $(ELF_DEBUG_DIR)/libc$(NYS_DIR_SUFFIX)/mcheck-init.o \
		$(TARGET_ELF_LIBEXTRA_DIR)/libmcheck.a
	exit 0 || (cd $(TARGET_ELF_LIB_DIR); \
	 rm -f libdbm.a libcurses.a libtermcap.a; \
	 ln -s libncurses.a libcurses.a; \
	 ln -s libncurses.a libtermcap.a; \
	 ln -s libgdbm.a libdbm.a)

install.checker:
	(cd checker; $(MAKE) install)

=== elf/Makefile ===
#
# For ELF
#
TOPDIR=..

include $(TOPDIR)/Makeconfig

ELF_LDFLAGS=-shared #-Bsymbolic # using GNU ld
#ELF_LDFLAGS=-G # with SVr4 ld

ifeq ($(NYS),true)
NYS_DIR_SUFFIX=-nys
endif

# Use the same version numbering as the jumptable a.out libraries.
BUILD_ELFLIBS=libc libm libpthreads
ELFLIBS=libc libm 
BUILD_ELFLIBS= libpthreads
ELFLIBS=

CRTBEGIN=$(ELF_SHARED_DIR)/crtbeginS.o
CRTEND=$(ELF_SHARED_DIR)/crtendS.o

ifeq ($(ELF),true)
#lib::
#	  $(MAKE) -C d-link lib;

ifeq ($(OLD_GCC),true)
LIBGCC=$(ELF_SHARED_DIR)/libgcc.a
lib::
	  $(MAKE) -C crt crt
endif

lib::
	for l in $(BUILD_ELFLIBS); do \
	  JUMP_PARAMS=$$l/jump.params; \
	  SHLIB_VERSION=`awk -F= ' { if ($$1 == "Version")  print $$2 }' $$JUMP_PARAMS`; \
	  MAJOR_VERSION=`echo $$SHLIB_VERSION | sed 's/\..*//'`; \
	  $(CC) $(ELF_LDFLAGS) -B$(ELF_SHARED_DIR)/ \
		-o $(ELF_SHARED_DIR)/$$l.so.$$SHLIB_VERSION \
		-Wl,-soname,$$l.so.$$MAJOR_VERSION \
		-Wl,-whole-archive \
		`case $$l in \
		libc) echo $(ELF_SHARED_DIR)/libc$(NYS_DIR_SUFFIX).a $(LIBGCC);;  \
		libcurses) echo $(ELF_SHARED_DIR)/$$l*.a $(ELF_SHARED_DIR)/libtermcap.so;; \
		*) echo $(ELF_SHARED_DIR)/$$l.a;; \
		esac` -Wl,-no-whole-archive; \
	  (cd $(ELF_SHARED_DIR); \
		rm -f $$l.so; \
		ln -s $$l.so.$$SHLIB_VERSION $$l.so); \
	done

# Used for testing purposes - not of any actual value as far as I can tell.
libc_pic.so:
	$(MKDIR) libalias ; cd libalias ;\
	$(AR) x ../../libalias.a ; cd .. ;\
	$(LD) -Bshareable -Bsymbolic -assert nosymbolic
		-o $@.1.1 libc/*.o libalias/*.o

else

lib::
	@true
endif

include $(TOPDIR)/Maketargets

ifeq ($(TARGET_ELF_SO_DIR),/lib)

install:
	if [ ! -d $(TARGET_ELF_LIB_DIR) ]; then \
	  $(MKDIR) $(TARGET_ELF_LIB_DIR); \
	else true; fi
	if [ ! -d $(TARGET_ELF_SO_EXTRA_DIR) ]; then \
	  $(MKDIR) $(TARGET_ELF_SO_EXTRA_DIR); \
	else true; fi
	if [ ! -d $(TARGET_ELF_SO_DIR) ]; then \
	  $(MKDIR) $(TARGET_ELF_SO_DIR); \
	else true; fi
	cp $(ELF_SHARED_DIR)/*.o $(TARGET_ELF_LIB_DIR)
	for l in $(ELFLIBS); do \
	  JUMP_PARAMS=$$l/jump.params; \
	  SHLIB_VERSION=`awk -F= ' { if ($$1 == "Version")  print $$2 }' $$JUMP_PARAMS`; \
	  MAJOR_VERSION=`echo $$SHLIB_VERSION | sed 's/\..*//'`; \
	  lib=$$l.so; \
	  mlib=$$lib.$$MAJOR_VERSION; \
	  flib=$$lib.$$SHLIB_VERSION; \
	  case $$l in \
	  libdl|libc|libm|libcurses|libncurses|libtermcap) \
		so_dir=$(TARGET_ELF_SO_DIR);; \
	  *) so_dir=$(TARGET_ELF_SO_EXTRA_DIR);; \
	  esac; \
	  if [ $$l = "libdl" ]; then \
	    mdlinker=ld-linux.so.$$MAJOR_VERSION; \
	    fdlinker=ld-linux.so.$$SHLIB_VERSION; \
	    if [ -f $$so_dir/$$fdlinker ]; then \
	      (cd $$so_dir; \
	       cp $$fdlinker /tmp; \
	       if [ $$? -eq 0 ]; then \
	       ln -sf /tmp/$$fdlinker $$mdlinker; \
	       else exit 1; fi; \
	       if [ ! -d backup ]; then \
	         $(MKDIR) backup; \
	       else true; fi; \
	       mv $$fdlinker backup/$$fdlinker.$$$$); \
	    else true; fi; \
	    cp $(ELF_SHARED_DIR)/$$fdlinker $$so_dir; \
	    (cd $$so_dir; ln -sf $$fdlinker $$mdlinker); \
	  fi; \
	  if [ -f $$so_dir/$$flib ]; then \
	    (cd $$so_dir; \
	     cp $$flib /tmp; \
	     if [ $$? -eq 0 ]; then \
	       ln -sf /tmp/$$flib $$mlib; \
	     else exit 1; fi; \
	     if [ ! -d backup ]; then \
	       $(MKDIR) backup; \
	     else true; fi; \
	     mv $$flib backup/$$flib.$$$$); \
	  else true; fi; \
	  cp $(ELF_SHARED_DIR)/$$flib $$so_dir; \
	  chmod 755 $$so_dir/$$flib; \
	  (cd $(TARGET_ELF_SO_EXTRA_DIR); \
	   case $$l in \
	   libc|libm) \
	     ln -sf $$so_dir/$$flib $$l.so; \
	     ;; \
	   libncurses) \
	     ln -sf $$flib libcurses.so.5.0.0; \
	     ln -sf $$flib libtermcap.so.5.0.0; \
	     ;; \
	   libdb) \
	     ln -sf $$flib libdb.so.2.0.4; \
	     ln -sf libdb.so.2.0.4 libdb.so.2; \
	     ;; \
	   libgdbm) \
	     ln -sf $$flib libdbm.so.2.0.4; \
	     ln -sf $$flib libgdbm.so.2.0.4; \
	     ln -sf libdbm.so.2.0.4 libdbm.so.2; \
	     ln -sf libgdbm.so.2.0.4 libgdbm.so.2; \
	     ;; \
	   esac;); \
	done
	$(LDCONFIG) -v

else

install:
	if [ ! -d $(TARGET_ELF_LIB_DIR) ]; then \
	  $(MKDIR) $(TARGET_ELF_LIB_DIR); \
	else true; fi
	if [ ! -d $(TARGET_ELF_SO_DIR) ]; then \
	  $(MKDIR) $(TARGET_ELF_SO_DIR); \
	else true; fi
	if [ ! -d $(TARGET_ELF_SO_EXTRA_DIR) ]; then \
	  $(MKDIR) $(TARGET_ELF_SO_EXTRA_DIR); \
	else true; fi
	cp $(ELF_SHARED_DIR)/*.o $(TARGET_ELF_LIB_DIR)
	for l in $(ELFLIBS); do \
	  JUMP_PARAMS=$$l/jump.params; \
	  SHLIB_VERSION=`awk -F= ' { if ($$1 == "Version")  print $$2 }' $$JUMP_PARAMS`; \
	  MAJOR_VERSION=`echo $$SHLIB_VERSION | sed 's/\..*//'`; \
	  lib=$$l.so; \
	  mlib=$$lib.$$MAJOR_VERSION; \
	  flib=$$lib.$$SHLIB_VERSION; \
	  case $$l in \
	  libdl|libc|libm|libcurses|libncurses|libtermcap) \
		so_dir=$(TARGET_ELF_SO_DIR);; \
	  *) so_dir=$(TARGET_ELF_SO_EXTRA_DIR);; \
	  esac; \
	  if [ $$l = "libdl" ]; then \
	    mdlinker=ld-linux.so.$$MAJOR_VERSION; \
	    fdlinker=ld-linux.so.$$SHLIB_VERSION; \
	    cp $(ELF_SHARED_DIR)/$$fdlinker $$so_dir; \
	    (cd $$so_dir; ln -sf $$fdlinker $$mdlinker); \
	  fi; \
	  cp $(ELF_SHARED_DIR)/$$flib $$so_dir; \
	  (cd $(TARGET_ELF_SO_EXTRA_DIR); \
	   case $$l in \
	   libc|libm) \
	     $(RM) -f $$l.so; \
	     ln -s $$so_dir/$$flib $$l.so; \
	     ;; \
	   libncurses) \
	     $(RM) -f libcurses.so.5.0.0 \
		libtermcap.so.5.0.0; \
	     ln -s $$flib libcurses.so.5.0.0; \
	     ln -s $$flib libtermcap.so.5.0.0; \
	     ;; \
	   libdb) \
	     $(RM) -f libdb.so.2.0.4 libdb.so.2; \
	     ln -s $$flib libdb.so.2.0.4; \
	     ln -s libdb.so.2.0.4 libdb.so.2; \
	     ;; \
	   libgdbm) \
	     $(RM) -f libdbm.so.2.0.4 libgdbm.so.2.0.4 \
		libdbm.so.2 libgdbm.so.2; \
	     ln -s $$flib libdbm.so.2.0.4; \
	     ln -s $$flib libgdbm.so.2.0.4; \
	     ln -s libdbm.so.2.0.4 libdbm.so.2; \
	     ln -s libgdbm.so.2.0.4 libgdbm.so.2; \
	     ;; \
	   esac;); \
	done

endif

ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== sysdeps/Makefile ===
#
# Makefile for Linux specific functions
#

TOPDIR=..

include $(TOPDIR)/Makeconfig
include $(TOPDIR)/Makerules

#DIRS=$(TARGET_OS)

ifneq ($(MATH),true)
#DIRS := $(DIRS) $(TARGET_ARCH) pthreads
endif
DIRS=pthreads

lib depend realclean clean:
	@set -e; for i in $(DIRS); \
	do \
		echo making $@ in $$i; \
		$(MAKE) -C $$i $@; \
	done

=== sysdeps/linux/Makefile ===
#
# Makefile for Linux specific functions
#

TOPDIR=../..

include $(TOPDIR)/Makeconfig
include $(TOPDIR)/Makerules

INC_CFLAGS= -I./$(TARGET_ARCH) -I$(TOPDIR)
BASE_CFLAGS:= $(BASE_CFLAGS) -DLDSO_ADDR=$(LDSO_ENTRY) \
	-DTARGET_MACHINE=\"$(TARGET_MACHINE)\"

ifeq ($(MATH),true)

lib all:
	($(MAKE) -C $(TARGET_ARCH) $@)

else	# the math library

ifneq ($(ELF),true)
OPT_SRC1S=__load.c nlist.c
endif

DIRS=$(TARGET_ARCH)
SRC1S= __bsd_sig.c __flock.c __fpathconf.c __getdtsz.c \
	__gethstnm.c __getpgsz.c __isatty.c __pathconf.c \
	__sigblock.c __siggtmsk.c __sigpause.c __sigstmsk.c \
	__sysconf.c __tcgetatr.c __utimes.c _errlist.c _siglist.c \
	getdnnm.c mkfifo.c setegid.c \
	seteuid.c signal.c \
	__adjtime.c __ntpgttm.c __wait.c __wait3.c \
	__waitpid.c accept.c bind.c connect.c getpeernam.c \
	getsocknam.c getsockopt.c listen.c mmap.c \
	shmat.c shmctl.c shmdt.c shmget.c \
	msgctl.c msgget.c msgrcv.c msgsnd.c \
	semctl.c semget.c semop.c \
	recv.c recvfrom.c send.c sendto.c setpgrp.c setsockopt.c \
	shutdown.c socket.c socketpair.c tell.c ulimit.c \
	_xustat.c _xstat.c _lxstat.c _fxstat.c _xmknod.c \
	set-init.c __llseek.c _strerror.c $(OPT_SRC1S) \
	__errno_loc.c pthread_stubs.c closedir.c dirfd.c \
	opendir.c rewinddir.c seekdir.c telldir.c morecore.c \
	__getdirentries.c ttyname.c ttyname_r.c getcwd.c \
	ftw.c glob.c sendmsg.c recvmsg.c readv.c writev.c scandir.c \
	sysctl.c kernel_version.c
SRC2S=	__access.S __chdir.S __chmod.S __chown.S __close.S __dup.S \
	__dup2.S __execve.S __fchmod.S __fchdir.S __fchown.S __fcntl.S \
	__fork.S __fstatfs.S __getegid.S __geteuid.S \
	__getgid.S __getgrps.S __getitmr.S __getpid.S __getppid.S \
	__getrusag.S __gettod.S __getuid.S __ioctl.S __kill.S \
	__link.S __lseek.S __mkdir.S __open.S \
	__pipe.S __read.S __readlink.S __rmdir.S __setgid.S \
	__setitmr.S __setregid.S __setreuid.S __setsid.S __settod.S \
	__setuid.S __sigproc.S __statfs.S \
	__symlink.S __times.S __umask.S __uname.S __unlink.S \
	__wait4.S __write.S acct.S alarm.S chroot.S creat.S \
	fsync.S ftruncate.S getpgrp.S getrlimit.S idle.S ioperm.S \
	iopl.S mount.S msync.S munmap.S nice.S pause.S reboot.S \
	rename.S setdnnm.S setgroups.S sethstnm.S setpgid.S \
	setprio.S setrlimit.S sigpending.S stime.S swapoff.S \
	swapon.S sync.S time.S truncate.S umount.S uselib.S \
	utime.S vhangup.S vm86.S mprotect.S \
	__adjtimex.S getpgid.S __ipc.S __setfsgid.S __setfsuid.S \
	__syscall_flock.S __getdents.S \
	__prev_fstat.S __prev_lstat.S __prev_stat.S __prev_mknod.S \
	__prev_ustat.S __socketcall.S __syscall_readv.S \
	__syscall_writev.S sysinfo.S \
	getsid.S mlock.S munlock.S mlockall.S munlockall.S mremap.S \
	sched_setparam.S sched_getparam.S sched_setscheduler.S \
	sched_getscheduler.S sched_yield.S sched_get_priority_max.S \
	sched_get_priority_min.S sched_rr_get_interval.S fdatasync.S \
	nanosleep.S
SRC3S= fstatfs.c statfs.c uname.c __vfork.c vfork.c

SRCS=$(SRC1S) $(SRC2S) $(SRC3S)
ASMS= $(SRC1S:.c=.s) $(SRC2S:.S=.s) $(SRC3S:.c=.s)
OBJS= $(SRC1S:.c=.o) $(SRC2S:.S=.o)
ALIASES=$(SRC3S:.c=.o)

include $(TOPDIR)/Maketargets

endif	# the math library

=== debian/changelog ===
oldmitpthreads (0.1) unstable; urgency=low

  * (debian/rules) take out header files so it doesn't conflict with
    linuxthreads [#9002] and to discourage people from actually *using*
    this package for other than binary releases that still need it.

 -- Mark W. Eichin <eichin@kitten.gen.ma.us>  Sat, 26 Apr 1997 20:13:48 -0400

=== debian/control ===
Source: oldmitpthreads
Section: devel
Priority: optional
Maintainer: Mark Eichin <eichin@kitten.gen.ma.us>
Standards-Version: 0.2.1.1

Package: oldmitpthreads
Section: devel
Priority: optional
Description: OLD MIT-pthreads from libc5-5.4.17, for gnat use
 The MIT pthreads libraries, factored out for gnat use. The only thing that 
 should care about this is GNAT; other packages should probably convert 
 to LinuxThreads.
Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -52,8 +52,8 @@
 	strip pth-tmp/usr/lib/libpthreads.so.$(pv)
 	ln -s libpthreads.so.$(pv) pth-tmp/usr/lib/libpthreads.so.1
 	ln -sf libpthreads.so.$(pv) pth-tmp/usr/lib/libpthreads.so
-	install -d pth-tmp/usr/include
-	cp -a include/pthread* pth-tmp/usr/include/
+	# install -d pth-tmp/usr/include
+	# cp -a include/pthread* pth-tmp/usr/include/
 	#
 	install -d pth-tmp/usr/doc/$(p)
 	install debian/README pth-tmp/usr/doc/$(p)/copyright
